## node-jake 0.1.19

=== Makefile ===
#
# Jake JavaScript build tool
# Copyright 2112 Matthew Eernisse (mde@fleegix.org)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

.PHONY: all build install clean uninstall

all: build

build:
	@echo 'Jake built.'

install:
	@mkdir -p /usr/local/lib/node_modules/jake && \
		cp -R ./* /usr/local/lib/node_modules/jake/ && \
		ln -snf /usr/local/lib/node_modules/jake/bin/cli.js /usr/local/bin/jake && \
		chmod 755 /usr/local/lib/node_modules/jake/bin/cli.js && \
		echo 'Jake installed.'

clean:
	@true

uninstall:
	@rm -f /usr/local/bin/jake && \
		rm -fr /usr/local/lib/node_modules/jake/ && \
		echo 'Jake uninstalled.'

=== debian/changelog ===
node-jake (0.1.19-2) unstable; urgency=low

  * Fixed one require in program.js
  * Added dependencies on coffeescript and node-glob

 -- David Paleino <dapal@debian.org>  Sat, 29 Oct 2011 01:53:44 +0200

node-jake (0.1.19-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Sat, 29 Oct 2011 01:06:01 +0200

=== debian/control ===
Source: node-jake
Section: devel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
Standards-Version: 3.9.2
Homepage: https://github.com/mde/jake
Vcs-Git: git://git.debian.org/collab-maint/node-jake.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-jake.git;a=summary

Package: node-jake
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Recommends:
 coffeescript
 , node-glob
Description: JavaScript build tool for Node.js
 Jake is a JavaScript build tool for the Node.js framework, with
 capabilities similar to the regular make or rake commands.
 .
 Jake has the following features:
  - Jakefiles are in standard JavaScript syntax
  - tasks with prerequisites
  - namespaces for tasks
  - async task execution

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/node-jake/usr/bin/cli.js \
		$(CURDIR)/debian/node-jake/usr/bin/jake

override_dh_auto_install:
	# nothing

## node-jake 0.1.22

=== debian/changelog ===
node-jake (0.1.22-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sat, 31 Dec 2011 12:02:37 +0100

## node-jake 0.2.32

=== Makefile ===
--- 
+++ 
@@ -17,22 +17,26 @@
 
 .PHONY: all build install clean uninstall
 
+PREFIX=/usr/local
+DESTDIR=
+
 all: build
 
 build:
 	@echo 'Jake built.'
 
 install:
-	@mkdir -p /usr/local/lib/node_modules/jake && \
-		cp -R ./* /usr/local/lib/node_modules/jake/ && \
-		ln -snf /usr/local/lib/node_modules/jake/bin/cli.js /usr/local/bin/jake && \
-		chmod 755 /usr/local/lib/node_modules/jake/bin/cli.js && \
+	@mkdir -p $(DESTDIR)$(PREFIX)/bin && \
+    mkdir -p $(DESTDIR)$(PREFIX)/lib/node_modules/jake && \
+		cp -R ./* $(DESTDIR)$(PREFIX)/lib/node_modules/jake/ && \
+		ln -snf ../lib/node_modules/jake/bin/cli.js $(DESTDIR)$(PREFIX)/bin/jake && \
+		chmod 755 $(DESTDIR)$(PREFIX)/lib/node_modules/jake/bin/cli.js && \
 		echo 'Jake installed.'
 
 clean:
 	@true
 
 uninstall:
-	@rm -f /usr/local/bin/jake && \
-		rm -fr /usr/local/lib/node_modules/jake/ && \
+	@rm -f $(DESTDIR)$(PREFIX)/bin/jake && \
+		rm -fr $(DESTDIR)$(PREFIX)/lib/node_modules/jake/ && \
 		echo 'Jake uninstalled.'

=== debian/changelog ===
node-jake (0.2.32-2) unstable; urgency=low

  * Migrate from node to nodejs (Closes: #686891)
  * Standards-Version bump to 3.9.4, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 20 Sep 2012 12:09:59 +0200

node-jake (0.2.32-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 22:25:07 +0200

node-jake (0.2.31-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sun, 25 Mar 2012 12:41:16 +0200

node-jake (0.2.28-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed
  * Update debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 21:57:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 8~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: https://github.com/mde/jake
 Vcs-Git: git://git.debian.org/collab-maint/node-jake.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-jake.git;a=summary
@@ -14,7 +14,7 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
+ , nodejs (>= 0.6.19~dfsg1-3~)
 Recommends:
  coffeescript
  , node-glob

## node-jake 0.6.10

=== debian/changelog ===
node-jake (0.6.10-1) unstable; urgency=low

  * New upstream release (closes: #719373).
  * New maintainer, but leave David in for now.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Aug 2013 21:15:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: David Paleino <dapal@debian.org>
-Build-Depends:
- debhelper (>= 8~)
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
+ David Paleino <dapal@debian.org>
+Build-Depends: debhelper (>= 8~)
 Standards-Version: 3.9.4
 Homepage: https://github.com/mde/jake
 Vcs-Git: git://git.debian.org/collab-maint/node-jake.git
@@ -13,8 +13,10 @@
 Package: node-jake
 Architecture: all
 Depends:
- ${misc:Depends}
- , nodejs (>= 0.6.19~dfsg1-3~)
+ ${misc:Depends},
+ nodejs (>= 0.6.19~dfsg1-3~),
+ node-minimatch,
+ node-utilities
 Recommends:
  coffeescript
  , node-glob

## node-jake 0.7.4

=== debian/changelog ===
node-jake (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 15 Nov 2013 13:01:53 +0000

node-jake (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 30 Sep 2013 19:24:53 +0200

node-jake (0.6.12-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Sep 2013 13:40:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
  David Paleino <dapal@debian.org>
 Build-Depends: debhelper (>= 8~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/mde/jake
 Vcs-Git: git://git.debian.org/collab-maint/node-jake.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-jake.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,5 @@
 
 override_dh_auto_install:
 	# nothing
+
+.PHONY: override_dh_install override_dh_auto_install

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=jake \
	http://registry.npmjs.org/jake/-/jake-(\d+.*)\.tgz

## node-jake 0.7.9

=== debian/changelog ===
node-jake (0.7.9-2) unstable; urgency=medium

  * Update nodejs install path.
  * Update packaging bits.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1:
    - change package priority to optional.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 31 Dec 2020 17:42:23 +0100

node-jake (0.7.9-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Dec 2020 02:26:33 +0100

node-jake (0.7.9-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Mar 2014 15:32:45 +0100

node-jake (0.7.7-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 17 Feb 2014 14:17:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: node-jake
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
  David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 8~)
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: https://github.com/mde/jake
-Vcs-Git: git://git.debian.org/collab-maint/node-jake.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-jake.git;a=summary
+Rules-Requires-Root: no
 
 Package: node-jake
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 	dh_install
 	mv $(CURDIR)/debian/node-jake/usr/bin/cli.js \
 		$(CURDIR)/debian/node-jake/usr/bin/jake
+	mkdir -p $(CURDIR)/debian/node-jake/usr/share/nodejs/
+	mv $(CURDIR)/debian/node-jake/usr/lib/nodejs/jake \
+		$(CURDIR)/debian/node-jake/usr/share/nodejs/
 
 override_dh_auto_install:
 	# nothing

## node-jake 10.8.5%2B~1.0.4

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	help2man -N -n 'JavaScript build tool for Node.js' bin/cli.js >jake.1
	perl -i -pe 's/cli\.js/jake/g;s/CLI\.JS/JAKE/g;s/\*\*+//g' jake.1

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-jake/usr/share/nodejs/jake/bin/cli.js

## node-jake 10.8.5+~1.0.4

=== debian/changelog ===
node-jake (10.8.5+~1.0.4-3) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Increase test timeout for armel

 -- Yadd <yadd@debian.org>  Sat, 03 Dec 2022 19:08:13 +0100

node-jake (10.8.5+~1.0.4-2) unstable; urgency=medium

  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright)
  * Increase test timeout (Closes: #1019551)

 -- Yadd <yadd@debian.org>  Mon, 12 Sep 2022 16:15:43 +0200

node-jake (10.8.5+~1.0.4-1) unstable; urgency=medium

  * Team upload
  * Fix perms
  * Add upstream/metadata
  * Change section to javascript
  * Change priority to optional
  * Fix VCS fields
  * Fix debian/copyright
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.6.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Update nodejs dependency to nodejs:any
  * Embed filelist
  * New upstream version 10.8.5+~1.0.4
  * Update test (mocha)
  * Add filelist test
  * Update copyright
  * Use dh-sequence-nodejs auto install
  * Enable upstream tests
  * Build manpage using help2man

 -- Yadd <yadd@debian.org>  Tue, 30 Aug 2022 12:08:56 +0200

=== debian/control ===
Source: node-jake
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           David Paleino <dapal@debian.org>
Section: javascript
Priority: optional
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13),
               dh-sequence-nodejs,
               help2man,
               mocha <!nocheck>,
               node-async,
               node-chalk,
               node-minimatch,
               node-q <!nocheck>,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-jake
Vcs-Git: https://salsa.debian.org/js-team/node-jake.git
Homepage: https://github.com/mde/jake
Rules-Requires-Root: no

Package: node-jake
Architecture: all
Depends: ${misc:Depends},
         node-async,
         node-chalk,
         node-minimatch,
         nodejs:any
Recommends: coffeescript,
            node-glob
Provides: ${nodejs:Provides}
Description: JavaScript build tool for Node.js
 Jake is a JavaScript build tool for the Node.js framework, with
 capabilities similar to the regular make or rake commands.
 .
 Jake has the following features:
  - Jakefiles are in standard JavaScript syntax
  - tasks with prerequisites
  - namespaces for tasks
  - async task execution

=== debian/watch ===
version=4
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
dversionmangle=auto \
 https://github.com/mde/jake/tags .*/v?(\d.*)@ARCHIVE_EXT@ group

opts=\
component=filelist,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-filelist-$1/ \
 https://github.com/mde/filelist/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ group
